---
title: List content sections
slug: content-recommendations/api/list-content-sections
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "7MbpEQIP1sTkIoU81nz5a",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usea01.idio.episerver.net/1.0/content/{id}/sections",
    "servers": [
      {
        "url": "https://{hostname}/1.0/content/{id}/sections",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "List content sections",
    "description": "Retrieve all sections containing the specified content item.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "integer",
          "example": 101,
          "description": "Unique identifier of the content item."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of sections assigned to the content",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "A list of content sections.",
            "customType": "ContentSectionList",
            "schema": [
              {
                "name": "sections",
                "kind": "required",
                "type": "array",
                "description": "Array of section objects.",
                "modelRef": "#/components/schemas/ContentSection",
                "customType": "ContentSection[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "integer",
                    "description": "Unique identifier of the section.",
                    "example": 42
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "The display title of the section.",
                    "example": "Technology"
                  },
                  {
                    "name": "full_details_url",
                    "kind": "required",
                    "type": "string<url>",
                    "description": "API link to fetch full details of this section.",
                    "example": "https://api.usea01.idio.episerver.net/1.0/sections/42",
                    "format": "url"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/ContentSectionList",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Content does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "75ofGjttpysb4xWSP8nhj",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usea01.idio.episerver.net/1.0/content/{id}/sections \\\n     --header 'accept: application/json'"
        },
        {
          "id": "cq6337-NR0rxhzEmHyuKK",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/content/{id}/sections\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "z6a1oeUdo6NrzgocU0mEX",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/content/{id}/sections\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "AbTEhU2cqny8nNUcSW75U",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/content/{id}/sections\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "75ofGjttpysb4xWSP8nhj"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of sections assigned to the content\n{\n  \"sections\": [\n    {\n      \"id\": 42,\n      \"title\": \"Technology\",\n      \"full_details_url\": \"https://api.usea01.idio.episerver.net/1.0/sections/42\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Content does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}